Bug 1573202 - Trackpoint too slow with libinput 1.10.5-3
Summary: Trackpoint too slow with libinput 1.10.5-3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 13:31 UTC by Sammy
Modified: 2020-01-15 18:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:55:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Sammy 2018-04-30 13:31:20 UTC
After updating to libinput 1.10.5-3 on Lenovo Thinkpad T450s the trackpoint mouse have become painstakingly slow. This is running under Xorg and KDE plasma. Reverting to the previous version of libinput resolves the problem. Previously I did not have any problems with trackpoint being too fast or jerky etc. Thanks.

Comment 1 Peter Hutterer 2018-04-30 22:31:42 UTC
What's the udevadm info output for the device please? udevadm info /sys/class/input/eventXX with the device's event node. And what's the output of xinput list-props <device name> for the trackpoint? Have you tried changing the pointer speed. if there's no toggle in the GUI, this command should change it:
   xinput set-prop "device name" "libinput Accel Speed" 1.0

allowed range is a double from -1.0 (minimum) to 1.0 (maximum)

Comment 2 Sammy 2018-04-30 23:52:41 UTC
Here is the original outputs (before speeding out manually):

I was little confused about device names between 12 and 13. Here is,
==========================================
# xinput
⎡ Virtual core pointer                          id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                id=4    [slave  pointer  (2)]
⎜   ↳ Synaptics TM3053-004                      id=12   [slave  pointer  (2)]
⎜   ↳ TPPS/2 IBM TrackPoint                     id=13   [slave  pointer  (2)]
⎣ Virtual core keyboard                         id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard               id=5    [slave  keyboard (3)]
    ↳ Power Button                              id=6    [slave  keyboard (3)]
    ↳ Video Bus                                 id=7    [slave  keyboard (3)]
    ↳ Sleep Button                              id=8    [slave  keyboard (3)]
    ↳ Integrated Camera: Integrated C           id=9    [slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard              id=10   [slave  keyboard (3)]
    ↳ ThinkPad Extra Buttons                    id=11   [slave  keyboard (3)]
==========================================================
So, TrackPoint shows as id=13.
==========================================================
# xinput list-props 13
Device 'TPPS/2 IBM TrackPoint':
        Device Enabled (143):   1
        Coordinate Transformation Matrix (145): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
        libinput Natural Scrolling Enabled (287):       0
        libinput Natural Scrolling Enabled Default (288):       0
        libinput Left Handed Enabled (289):     0
        libinput Left Handed Enabled Default (290):     0
        libinput Accel Speed (291):     0.000000
        libinput Accel Speed Default (292):     0.000000
        libinput Accel Profiles Available (305):        1, 1
        libinput Accel Profile Enabled (306):   1, 0
        libinput Accel Profile Enabled Default (307):   1, 0
        libinput Scroll Methods Available (293):        0, 0, 1
        libinput Scroll Method Enabled (294):   0, 0, 1
        libinput Scroll Method Enabled Default (295):   0, 0, 1
        libinput Button Scrolling Button (308): 2
        libinput Button Scrolling Button Default (309): 2
        libinput Middle Emulation Enabled (299):        0
        libinput Middle Emulation Enabled Default (300):        0
        libinput Send Events Modes Available (264):     1, 0
        libinput Send Events Mode Enabled (265):        0, 0
        libinput Send Events Mode Enabled Default (266):        0, 0
        Device Node (267):      "/dev/input/event12"
        Device Product ID (268):        2, 10
        libinput Drag Lock Buttons (303):       <no items>
        libinput Horizontal Scroll Enabled (304):       1
=================================================

This seems to show Accel Speed as 0.0. Now there is no event13 but event12
seems to be the one.

==================================================
# udevadm info /sys/class/input/event12
P: /devices/rmi4-00/rmi4-00.fn03/serio3/input/input17/event12
N: input/event12
E: DEVNAME=/dev/input/event12
E: DEVPATH=/devices/rmi4-00/rmi4-00.fn03/serio3/input/input17/event12
E: ID_BUS=rmi
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_INPUT_POINTINGSTICK=1
E: LIBINPUT_ATTR_TRACKPOINT_RANGE=50
E: LIBINPUT_DEVICE_GROUP=11/2/a:rmi4-00
E: MAJOR=13
E: MINOR=76
E: POINTINGSTICK_CONST_ACCEL=1.0
E: POINTINGSTICK_SENSITIVITY=200
E: SUBSYSTEM=input
E: USEC_INITIALIZED=6091684

=====================================================

After doing

xinput set-prop 13 "libinput Accel Speed" 1.0

The mouse speed becomes 1.0 and speed returns to normal

I hope this helps but I hope I don't need to put this into rc.local
but can be set automatically.

Comment 3 Peter Hutterer 2018-05-02 01:07:45 UTC
X device IDs and event nodes don't match up, so the event node you picked is the right one. Luckily the T450s is one device I have access to so I tested with with F27 updates all applied.

And the pointer speed for the trackpoint is as expected. setting the accel to 1.0 makes it almost unusably fast (again, as intended).

udevadm info is exactly the same. What's the output of cat /sys/devices/rmi4-00/rmi4-00.fn03/serio3/sensitivity (fix any typos where needed please). Should read as 200 based on POINTINGSTICK_SENSITIVITY=200. If that is lower then that would be the reason why the trackpoint is slower than expected and we have to figure out why systemd didn't set this on boot up.

Comment 4 Sammy 2018-05-02 21:33:26 UTC
Hi, I am not an expert but under KDE plasma trackpoint accel 1.0 works great for me it is not jittery at all. I never had problem with the trackpoint and I exclusively use that. I turn off trackpad in bios (if I remember correctly).

Comment 5 Peter Hutterer 2018-05-03 00:00:25 UTC
accel 1.0 is the maximum setting and it's deliberately set too high, both to catch odd corner cases but also to indicate that if you ever need 1.0, something isn't quite right.

Again, what's the output of 
cat /sys/devices/rmi4-00/rmi4-00.fn03/serio3/sensitivity

Comment 6 Ben Cotton 2018-11-27 14:20:28 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 22:55:20 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Sammy 2019-11-14 13:58:50 UTC
CLOSED


Note You need to log in before you can comment on or make changes to this bug.